<?xml version="1.0"?>
<?xml-stylesheet type="text/css" href="http://docs.hostway.com/skins/common/feed.css?303"?>
<feed xmlns="http://www.w3.org/2005/Atom" xml:lang="en">
		<id>http://docs.hostway.com/index.php?action=history&amp;feed=atom&amp;title=Accounts-accountId-os-security-group-rules-ruleId%3ADELETE</id>
		<title>Accounts-accountId-os-security-group-rules-ruleId:DELETE - Revision history</title>
		<link rel="self" type="application/atom+xml" href="http://docs.hostway.com/index.php?action=history&amp;feed=atom&amp;title=Accounts-accountId-os-security-group-rules-ruleId%3ADELETE"/>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php?title=Accounts-accountId-os-security-group-rules-ruleId:DELETE&amp;action=history"/>
		<updated>2026-05-22T12:01:13Z</updated>
		<subtitle>Revision history for this page on the wiki</subtitle>
		<generator>MediaWiki 1.18.0</generator>

	<entry>
		<id>http://docs.hostway.com/index.php?title=Accounts-accountId-os-security-group-rules-ruleId:DELETE&amp;diff=2146&amp;oldid=prev</id>
		<title>Mike.robski: 1 revision: Release 109</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php?title=Accounts-accountId-os-security-group-rules-ruleId:DELETE&amp;diff=2146&amp;oldid=prev"/>
				<updated>2015-07-24T18:12:59Z</updated>
		
		<summary type="html">&lt;p&gt;1 revision: Release 109&lt;/p&gt;
&lt;table class='diff diff-contentalign-left'&gt;
		&lt;tr valign='top'&gt;
		&lt;td colspan='1' style=&quot;background-color: white; color:black;&quot;&gt;← Older revision&lt;/td&gt;
		&lt;td colspan='1' style=&quot;background-color: white; color:black;&quot;&gt;Revision as of 18:12, 24 July 2015&lt;/td&gt;
		&lt;/tr&gt;&lt;/table&gt;</summary>
		<author><name>Mike.robski</name></author>	</entry>

	<entry>
		<id>http://docs.hostway.com/index.php?title=Accounts-accountId-os-security-group-rules-ruleId:DELETE&amp;diff=2145&amp;oldid=prev</id>
		<title>Jerry.dimitrov at 16:53, 20 April 2015</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php?title=Accounts-accountId-os-security-group-rules-ruleId:DELETE&amp;diff=2145&amp;oldid=prev"/>
				<updated>2015-04-20T16:53:54Z</updated>
		
		<summary type="html">&lt;p&gt;&lt;/p&gt;
&lt;p&gt;&lt;b&gt;New page&lt;/b&gt;&lt;/p&gt;&lt;div&gt;This operation will delete a firewall group rule.&lt;br /&gt;
&lt;br /&gt;
='''DELETE''' /accounts/''{accountId}''/os-security-group-rules/''{ruleId}''=&lt;br /&gt;
This operation will delete a firewall group rule.&lt;br /&gt;
&lt;br /&gt;
== Parameters ==&lt;br /&gt;
; accountId - ''string''&lt;br /&gt;
: The selected account Id.&lt;br /&gt;
&lt;br /&gt;
; ruleId - ''string''&lt;br /&gt;
: The unique firewall group rule identifier.&lt;br /&gt;
&lt;br /&gt;
== Response Codes ==&lt;br /&gt;
; Success:&lt;br /&gt;
:''HTTP/1.1 204 No Content''&lt;br /&gt;
; Failure:&lt;br /&gt;
:''HTTP/1.1 401 Unauthorized'' - This server could not verify that you are authorized to access the document you requested.  Either you supplied the wrong credentials (e.g., bad password), or your browser does not understand how to supply the credentials required.&lt;br /&gt;
:''HTTP/1.1 404 Not Found'' - The resource does not exist.&lt;br /&gt;
&lt;br /&gt;
== Examples ==&lt;br /&gt;
&lt;br /&gt;
'''Successfully delete the specified firewall group rule'''&lt;br /&gt;
:'''DELETE''' {{APIBaseURL}}/accounts/{accountId}/os-security-group-rules/{firewall_group_rule_id}&lt;br /&gt;
&lt;br /&gt;
''Request Headers:''&lt;br /&gt;
    Content-Type:application/json&lt;br /&gt;
    Charset=UTF-8&lt;br /&gt;
    Authorization:Base64-encoded username &amp;amp; password string&lt;br /&gt;
&lt;br /&gt;
''Response Code:''&lt;br /&gt;
&amp;lt;pre&amp;gt;HTTP/1.1 204 No Content&amp;lt;/pre&amp;gt;&lt;br /&gt;
&lt;br /&gt;
'''Failure while trying to delete a non-existent firewall group rule'''&lt;br /&gt;
:'''DELETE''' {{APIBaseURL}}/accounts/{accountId}/os-security-group-rules/{&amp;lt;span style=&amp;quot;color:red&amp;quot;&amp;gt;fake_firewall_group_rule_id&amp;lt;/span&amp;gt;}&lt;br /&gt;
&lt;br /&gt;
''Request Headers:''&lt;br /&gt;
    Content-Type:application/json&lt;br /&gt;
    Charset=UTF-8&lt;br /&gt;
    Authorization:Base64-encoded username &amp;amp; password string&lt;br /&gt;
&lt;br /&gt;
''Response Code:''&lt;br /&gt;
&amp;lt;pre&amp;gt;HTTP/1.1 404 Not Found&amp;lt;/pre&amp;gt;&lt;br /&gt;
&lt;br /&gt;
'''Failure while trying to make unauthorized access'''&lt;br /&gt;
:'''DELETE''' {{APIBaseURL}}/accounts/{accountId}/os-security-group-rules/{firewall_group_rule_id}&lt;br /&gt;
&lt;br /&gt;
''Request Headers:''&lt;br /&gt;
    Content-Type:application/json&lt;br /&gt;
    Charset=UTF-8&lt;br /&gt;
    Authorization:Base64-encoded &amp;lt;span style=&amp;quot;color:red&amp;quot;&amp;gt;fake_authentication_string&amp;lt;/span&amp;gt;&lt;br /&gt;
&lt;br /&gt;
''Response Code:''&lt;br /&gt;
&amp;lt;pre&amp;gt;HTTP/1.1 401 Unauthorized&amp;lt;/pre&amp;gt;&lt;br /&gt;
&lt;br /&gt;
''Response Body:''&lt;br /&gt;
     401 Unauthorized&lt;br /&gt;
     This server could not verify that you are authorized to&lt;br /&gt;
     access the document you requested.  Either you supplied the&lt;br /&gt;
     wrong credentials (e.g., bad password), or your browser&lt;br /&gt;
     does not understand how to supply the credentials required.&lt;br /&gt;
&lt;br /&gt;
'''Failure while trying to pass invalid account number'''&lt;br /&gt;
:'''DELETE''' {{APIBaseURL}}/accounts/fakeId/os-security-group-rules/{firewall_group_rule_id}&lt;br /&gt;
&lt;br /&gt;
''Response Code:''&lt;br /&gt;
&amp;lt;pre&amp;gt;HTTP/1.1 404 Not Found&amp;lt;/pre&amp;gt;&lt;br /&gt;
&lt;br /&gt;
''Response Body:''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
 {&lt;br /&gt;
    &amp;quot;itemNotFound&amp;quot; : {&lt;br /&gt;
       &amp;quot;message&amp;quot;: &amp;quot;Resource not found&amp;quot;, &lt;br /&gt;
       &amp;quot;code&amp;quot;: 404, &lt;br /&gt;
       &amp;quot;details&amp;quot;: &amp;quot;&amp;quot;,&lt;br /&gt;
       &amp;quot;errorid&amp;quot;: &amp;quot;59e0b3dd-2173-432a-8ff5-60efe16e83bf&amp;quot;&lt;br /&gt;
    }&lt;br /&gt;
 }&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
== Alternative URI /accounts/os-security-group-rules/{ruleId} ==&lt;br /&gt;
An alternative way to execute this call is to omit the ''accountId'' portion of the URI. In this case the system assumes the request is executed for the account identified in the [[Authentication|authorization header]].&lt;br /&gt;
&lt;br /&gt;
&amp;lt;code&amp;gt;DELETE /accounts/os-security-group-rules/{ruleId}&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
[[Category:Hostway API]]&lt;br /&gt;
[[Category:FlexCloud Server API]]&lt;/div&gt;</summary>
		<author><name>Jerry.dimitrov</name></author>	</entry>

	</feed>